# Ogre::TerrainGroup::TerrainSlot Struct Reference

Slot for a terrain instance, together with its definition. More...

`#include <OgreTerrainGroup.h>`

Inheritance diagram for Ogre::TerrainGroup::TerrainSlot:
[legend]

List of all members.

## Public Member Functions

| TerrainSlot (long _x, long _y)
| ~TerrainSlot ()
void | freeInstance ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Public Attributes

long | x
| The coordinates of the terrain slot relative to the centre slot (signed).
long | y
TerrainSlotDefinition | def
| Definition used to load the terrain.
Terrain * | instance
| Actual terrain instance.

## Detailed Description

Slot for a terrain instance, together with its definition.

Definition at line 304 of file OgreTerrainGroup.h.

## Constructor & Destructor Documentation

Ogre::TerrainGroup::TerrainSlot::TerrainSlot | ( | long | _x,
|  | long | _y |
| ) |  |  |

Definition at line 313 of file OgreTerrainGroup.h.

Ogre::TerrainGroup::TerrainSlot::~TerrainSlot | ( |  | ) |

## Member Function Documentation

void Ogre::TerrainGroup::TerrainSlot::freeInstance | ( |  | ) |

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

TerrainSlotDefinition Ogre::TerrainGroup::TerrainSlot::def

Definition used to load the terrain.

Definition at line 309 of file OgreTerrainGroup.h.

Terrain* Ogre::TerrainGroup::TerrainSlot::instance

Actual terrain instance.

Definition at line 311 of file OgreTerrainGroup.h.

long Ogre::TerrainGroup::TerrainSlot::x

The coordinates of the terrain slot relative to the centre slot (signed).

Definition at line 307 of file OgreTerrainGroup.h.

long Ogre::TerrainGroup::TerrainSlot::y

Definition at line 307 of file OgreTerrainGroup.h.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04